package fr.cnam.projet;

import java.util.*;

// Classe de definition d'un produit du stock
//
public class Produit
{
  // Les caracteristiques d'un Produit
  //
  private String  reference;      // reference du produit
  private String  nom;            // nom du produit
  private double  prix;           // prix du produit
  private int     quantite;       // quantit du produit

  // Constructeur
  //
  public Produit(String reference,
                 String nom,
                 double prix,
                 int quantite)
  {
    this.reference = reference;
    this.nom = nom;
    this.prix = prix;
    this.quantite = quantite;
  }
  
  // Conversion en chaine
  //
  public String toString()
  {
    return String.format("%-15s %-50s %3.2f   %3d",reference,nom,prix,quantite);
  }

  // Les getteurs et setteurs dont on a besoin

  public String getReference(){return reference;}
  public double getPrix(){ return prix;}
  public String getNom(){return nom;}
  public int getQuantite(){return quantite;}
  public void setQuantite(int quantite){this.quantite=quantite;}

}